package no.ntnu.idatt1002.demo.data.recipes;

/**
 * The FoodItem enum class defines a set of food types that may be serving as ingredients in recipes and that the
 * user may, or may not, have available in the cupboard, fridge or freezer. The label is a strict lower case
 * version of the constant value where the underscore is replaced by a space. This value is used at the front-end
 * to represent each enum value.
 *
 * @author hannesofie
 */
public enum FoodItem {

    ONION("onion"),
    MINCED_MEAT("minced meat"),
    POTATO("potato"),
    YELLOW_CHEESE("yellow cheese"),
    WHEAT_FLOUR("wheat flour"),
    MILK("milk"),
    TOMATO("tomato"),
    ORANGE("orange"),
    LEMON("lemon"),
    SALSA_SAUCE("salsa sauce"),
    CUCUMBER("cucumber"),
    SALAD("salad"),
    SPINACH("spinach"),
    SPRING_ROLL("spring roll"),
    BELL_PEPPER("bell pepper"),
    CHICKPEAS("chickpeas"),
    SPAGHETTI("spaghetti"),
    PASTA("pasta"),
    CREAM("cream"),
    HONEY("honey"),
    VINEGAR("vinegar"),
    TOMATO_PASTE("tomato paste"),
    CHILLI("chilli"),
    EGG("egg"),
    OLIVE_OIL("olive oil"),
    HAM("ham"),
    PARMESAN("parmesan"),
    SNAP_PEA("snap pea"),
    MACARONI("macaroni"),
    SALMON("salmon"),
    FISH("fish"),
    CARROT("carrot"),
    BUTTER("butter"),
    LEEK("leek"),
    BREADCRUMBS("breadcrumbs"),
    OIL("oil"),
    SUMMER_CUTLET("summer cutlet"),
    RED_ONION("red onion"),
    AVOCADO("avocado"),
    LEMON_JUICE("lemon juice"),
    DRY_THYME("dry thyme"),
    FRESH_YEAST("fresh yeast"),
    GARLIC_CLOVE("garlic clove"),
    GINGER("ginger"),
    CANNED_TOMATO("canned tomato"),
    DRY_BASIL("dry basil"),
    FRESH_BASIL("fresh basil"),
    CELERY("celery"),
    BROTH("broth"),
    BAY_LEAF("bay leaf"),
    CHILLI_BEANS("chilli beans"),
    CHILLI_POWDER("chilli powder"),
    CUMIN_POWDER("cumin powder"),
    PIE_DOUGH("pie dough"),
    BROCCOLI("broccoli"),
    LAM("lam"),
    SUGAR("sugar"),
    SHALLOT("shallot"),
    RED_WINE("red wine"),
    WHITE_BEANS("white beans"),
    FROZEN_GREEN_PEAS("frozen green peas"),
    SAUSAGE("sausage"),
    DRY_OREGANO("dry oregano");

    public final String label;

    /**
     * The constructor of the enum constants takes in a string label and assigns it to its respective constant.
     * The label is used for representation in texts and lists at the frontend of the application.
     * @param label A lower-case and readable string representation of the enum constant.
     */
    FoodItem(String label) {
        this.label = label;
    }
}
